Bug 249382 - [PATCH] Attansic L2 Fast Ethernet adapter does not work (10/100M)
[PATCH] Attansic L2 Fast Ethernet adapter does not work (10/100M)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-24 03:35 EDT by The Source
Modified: 2008-06-16 21:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:57:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (18.03 KB, text/plain)
2007-09-20 07:44 EDT, The Source
no flags Details
lsmod output (4.07 KB, text/plain)
2007-09-20 07:45 EDT, The Source
no flags Details
dmesg output (37.41 KB, text/plain)
2007-09-20 08:08 EDT, The Source
no flags Details
Driver (231.54 KB, patch)
2007-11-13 11:33 EST, Andy Shevchenko
no flags Details | Diff
Fix for kernel 2.6.23.1 (1.68 KB, patch)
2007-11-13 11:36 EST, Andy Shevchenko
no flags Details | Diff
Should fix tx bytes statistics (rediff for 2.0.3) (553 bytes, patch)
2007-12-13 15:35 EST, Andy Shevchenko
no flags Details | Diff
2.6.24 compat patch (382 bytes, patch)
2007-12-24 18:48 EST, Konstantin A. Lepikhov
no flags Details | Diff

  None (edit)
Description The Source 2007-07-24 03:35:19 EDT
Description of problem:
My integrated Attansic LAN 100 does not work. Worked in 2.6.21. Attansic LAN
1000 works fine.

Version-Release number of selected component (if applicable):
2.6.22.1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher Brown 2007-09-20 07:15:04 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? If you are, please provide
output from lspci -vvxx and lsmod to enable people reviewing this to try and
help resolve the issue.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 The Source 2007-09-20 07:43:11 EDT
Here you go. Current version is 2.6.22.5 (6-rc1). Problem persists
Comment 3 The Source 2007-09-20 07:44:09 EDT
Created attachment 200671 [details]
lspci output
Comment 4 The Source 2007-09-20 07:45:26 EDT
Created attachment 200681 [details]
lsmod output
Comment 5 Christopher Brown 2007-09-20 07:57:22 EDT
Thanks, can you also attach dmesg output.

Cheers
Chris
Comment 6 The Source 2007-09-20 08:08:36 EDT
Created attachment 200701 [details]
dmesg output
Comment 7 Christopher Brown 2007-09-20 09:11:17 EDT
Does:

# modprobe atl1

bring up the card for you? It is not listed in your lsmod output...
Comment 8 The Source 2007-09-20 09:21:50 EDT
No, it does not. Module is loaded successfully (checked with lsmod) but card
does not work.
Comment 9 Christopher Brown 2007-09-20 10:11:31 EDT
What does dmesg say after loading the module?
Comment 10 The Source 2007-09-20 11:13:33 EDT
Please, wait until monday. I won't be able to get to my work pc until then.
Comment 11 The Source 2007-09-24 09:00:58 EDT
No dmesg output after modprobe.
Comment 12 Andy Shevchenko 2007-11-13 11:33:06 EST
Created attachment 257021 [details]
Driver

Original driver from vendor.
Comment 13 Andy Shevchenko 2007-11-13 11:36:10 EST
Created attachment 257031 [details]
Fix for kernel 2.6.23.1

Addons to apply for kernel 2.6.23
Comment 14 Andy Shevchenko 2007-11-13 11:39:09 EST
Patches are tested on the ASUS P5GC-MX motherboard with the F-7 based kernel.
All works ok.

Please, add also Attansic L2 ID to the pci_ids.h as described at http://pci-
ids.ucw.cz/iii/?i=1969
Comment 15 Chuck Ebbert 2007-11-13 11:42:23 EST
Adding cc: for driver maintainer.
Comment 16 Chris Snook 2007-11-13 13:41:35 EST
I'm actually maintainer for atl1.  atl2 is not merged and does not have an
upstream maintainer, though we are in contact with Atheros (owner of Attansic)
to try to make this happen.  I don't have any atl2 hardware to work on this
myself directly, but if you'd like to work with me to get atl2 merged to prevent
breakage like this in the future, please email me privately.
Comment 17 Christopher Brown 2007-12-13 12:27:52 EST
Driver page is:

http://people.redhat.com/csnook/atl2/

Test and report.
Comment 18 Chris Snook 2007-12-13 12:56:27 EST
Version 2.0.3 at the above URL should work with any 2.6.22, 2.6.23, or
2.6.24-based kernel.

Presently all of my work on atl2 is focused on upstream merging, with the hope
of having it work out-of-the-box by the time Fedora 9 is released.  Once that's
done we'll work on backporting it to older releases.

If someone else wants to package a kmod for Fedora 7 and 8 in the meantime, I'll
be glad to assist, but that's not a process I'm familiar with.
Comment 19 Andy Shevchenko 2007-12-13 15:35:29 EST
Created attachment 287941 [details]
Should fix tx bytes statistics (rediff for 2.0.3)

Patch was maked without real test on hardware. To test it try to send some big
file and view ifconfig tx bytes statistics (assume that other activity on
network does not affected due to very small traffic).

P.S. Possible to constant error may be present (const * num_pkts +
real_data_size).
Comment 20 Konstantin A. Lepikhov 2007-12-24 18:48:34 EST
Created attachment 290365 [details]
2.6.24 compat patch

Simple patch for 2.6.24 compatibility (cleanup SET_MODULE_OWNER macro).
Comment 21 Christopher Brown 2008-01-09 12:15:23 EST
Set to RELEASE_PENDING to indicate fix/driver available - thanks Chris, Andy &
Konstantin.
Comment 22 Bug Zapper 2008-05-14 09:39:11 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2008-06-16 21:57:15 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.